<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorNotebook: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-colorselector.html" title="Part IV. GIMP Color Selectors">
<link rel="prev" href="GimpColorSelector.html" title="GimpColorSelector">
<link rel="next" href="GimpColorScales.html" title="GimpColorScales">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorNotebook.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorNotebook.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorNotebook.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_style_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorNotebook.style-properties" class="shortcut">Style Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-colorselector.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorSelector.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorScales.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorNotebook"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorNotebook.top_of_page"></a>GimpColorNotebook</span></h2>
<p>GimpColorNotebook — A <a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a> implementation.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorNotebook.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorNotebook.html#gimp-color-notebook-set-has-page" title="gimp_color_notebook_set_has_page ()">gimp_color_notebook_set_has_page</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.style-properties"></a><h2>Style Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="style_properties_type">
<col width="300px" class="style_properties_name">
<col width="200px" class="style_properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpColorNotebook.html#GimpColorNotebook--s-tab-border" title="The “tab-border” style property">tab-border</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type"><a href="../gtk2/gtk2-Themeable-Stock-Images.html#GtkIconSize"><span class="type">GtkIconSize</span></a></td>
<td class="property_name"><a class="link" href="GimpColorNotebook.html#GimpColorNotebook--s-tab-icon-size" title="The “tab-icon-size” style property">tab-icon-size</a></td>
<td class="property_flags">Read</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorNotebook.html#GimpColorNotebook-struct" title="GimpColorNotebook">GimpColorNotebook</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpColorSelector.html" title="GimpColorSelector">GimpColorSelector</a>
                            <span class="lineart">╰──</span> GimpColorNotebook
</pre>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorNotebook implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.description"></a><h2>Description</h2>
<p>The <a class="link" href="GimpColorNotebook.html" title="GimpColorNotebook"><span class="type">GimpColorNotebook</span></a> widget is an implementation of a
<a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a>. It serves as a container for
<a href="GimpColorSelector.html#GimpColorSelector-struct"><span class="type">GimpColorSelectors</span></a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-notebook-set-has-page"></a><h3>gimp_color_notebook_set_has_page ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_color_notebook_set_has_page (<em class="parameter"><code><a class="link" href="GimpColorNotebook.html" title="GimpColorNotebook"><span class="type">GimpColorNotebook</span></a> *notebook</code></em>,
                                  <em class="parameter"><code><a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> page_type</code></em>,
                                  <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> has_page</code></em>);</pre>
<p>This function adds and removed pages to / from a <a class="link" href="GimpColorNotebook.html" title="GimpColorNotebook"><span class="type">GimpColorNotebook</span></a>.
The <em class="parameter"><code>page_type</code></em>
 passed must be a <a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a> subtype.</p>
<div class="refsect3">
<a name="gimp-color-notebook-set-has-page.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>notebook</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpColorNotebook.html" title="GimpColorNotebook"><span class="type">GimpColorNotebook</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>page_type</p></td>
<td class="parameter_description"><p>The <a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> of the notebook page to add or remove.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>has_page</p></td>
<td class="parameter_description"><p>Whether the page should be added or removed.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-notebook-set-has-page.returns"></a><h4>Returns</h4>
<p> The new page widget, if <em class="parameter"><code>has_page</code></em>
was <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><span class="type">TRUE</span></a>, or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><span class="type">NULL</span></a>
if <em class="parameter"><code>has_page</code></em>
was <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><span class="type">FALSE</span></a>.</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorNotebook-struct"></a><h3>GimpColorNotebook</h3>
<pre class="programlisting">typedef struct _GimpColorNotebook GimpColorNotebook;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorNotebook.style-property-details"></a><h2>Style Property Details</h2>
<div class="refsect2">
<a name="GimpColorNotebook--s-tab-border"></a><h3>The <code class="literal">“tab-border”</code> style property</h3>
<pre class="programlisting">  “tab-border”               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Width of the border around the tab contents.</p>
<p>Flags: Read</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorNotebook--s-tab-icon-size"></a><h3>The <code class="literal">“tab-icon-size”</code> style property</h3>
<pre class="programlisting">  “tab-icon-size”            <a href="../gtk2/gtk2-Themeable-Stock-Images.html#GtkIconSize"><span class="type">GtkIconSize</span></a></pre>
<p>Size for icons displayed in the tab.</p>
<p>Flags: Read</p>
<p>Default value: GTK_ICON_SIZE_BUTTON</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>